Path: bloom-beacon.mit.edu!senator-bedfellow.mit.edu!faqserv
From: o.crepin-leblond@imperial.ac.uk   (Olivier M.J. Crepin-Leblond)
Newsgroups: alt.sources,alt.sources.d,alt.answers,news.answers
Subject: Welcome to alt.sources! (biweekly posting)
Supersedes: <alt-sources-intro_784430516@rtfm.mit.edu>
Followup-To: alt.sources.d
Date: 25 Nov 1994 00:46:22 GMT
Organization: Imperial College London, UK.
Lines: 193
Approved: news-answers-request@MIT.Edu
Distribution: world
Expires: 23 Dec 1994 00:45:03 GMT
Message-ID: <alt-sources-intro_785724303@rtfm.mit.edu>
NNTP-Posting-Host: bloom-picayune.mit.edu
X-Last-Updated: 1994/05/20
X-Version: $Id: alt-sources-intro,v 1.13 1994/05/20 15:00:39 ocl Exp $
Originator: faqserv@bloom-picayune.MIT.EDU
Xref: bloom-beacon.mit.edu alt.sources:5219 alt.sources.d:2011 alt.answers:5834 news.answers:29933

Archive-name: alt-sources-intro
Submitted-by: o.crepin-leblond@imperial.ac.uk (Olivier M.J. Crepin-Leblond)
Version: $Id: alt-sources-intro,v 1.13 1994/05/20 15:00:39 ocl Exp $
Original-Author: jik@security.ov.com (Jonathan I. Kamens)


		       What is alt.sources for?

  The alt.sources newsgroup is intended to be a repository for
source-code of all sorts that people wish to distribute and share with
other people.

  There are no restrictions on the type of source code you can post
here -- any machine, any language, any purpose.

  A common reason to post to alt.sources is when you are posting a
useful bit of source code to some other newsgroup, and you think that
it might prove useful to other people in the future, in which case you
can cross-post it here.

  Alt.sources IS NOT for requests for source code; the
alt.sources.wanted newsgroup is for that.  Alt.sources IS NOT for
comments and discussion about source code, even source code posted in
alt.sources; the alt.sources.d newsgroup is for that.  Only source
code should be posted to alt.sources.

  Posting material in alt.sources that is not human readable is
discouraged.  For example, shar archives are preferred to compressed,
uuencoded tar files.  Furthermore, the posting of machine-specific
executables in alt.sources is HIGHLY discouraged.


		       Why post to alt.sources?

  Since alt.sources is unmoderated, your source code will be
distributed throughout the USENET (or, at least, the portion of the
USENET that receives alt.sources) immediately, without having to wait
for a moderator's approval, like you have to do for some of the other
source newsgroups.

  Furthermore, alt.sources is archived at quite a few anonymous ftp
and mail server archive sites, so people will be able to get your
software from the archives after you've posted it, rather than having
to ask you to mail it to them.

  Finally, you might have a bit of source code that is really too
small to submit as a package to one of the other major source
newsgroups.  That's the kind of things that shows up a lot in
alt.sources.


	      Why post to somewhere besides alt.sources?

  Alt.sources isn't as widely propagated as the source newsgroups in
the "comp" hierarchy, since more sites tend to get "comp" than "alt".
Therefore, if you want your source code to have as wide a distribution
as possible, you might want to use one of the "comp" newsgroups.

  The alt.sources archives tend to be less well-organized than the
archives of the other source newsgroups, because they are usually
maintained automatically rather than by hand, and because non-source
postings are often interspersed with the source postings in the
archive.  Furthermore, many of the other source newsgroups are
available at many more archive sites than alt.sources.  Therefore, if
you want people to be able to find your program really easily,
alt.sources may not be the best place to post it.


	    What format should alt.sources postings have?

  Because alt.sources is unmoderated, the format your postings take is
up to you.  However, there are certain basic guidelines which, if
followed, make alt.sources a more productive newsgroup for everyone:

  1) Choose a good subject line for your posting that describes
accurately what it contains.  Many alt.sources archive sites generate
their indices of the newsgroup from the subject lines of the postings
in it, so try to make sure that there are relevant keywords in your
subject that people can search for when looking for your source code
later.

  2) Put a Followup-To: header line in your posting which directs
followups somewhere other than alt.sources.  This is especially
important if you cross-post your alt.sources posting from some other
newsgroup, because people will often respond to the posting in that
newsgroup without realizing it was cross-posted to alt.sources.

  3) At the top of your posting, separated from the main header of the
posting by a blank line, put something that looks like this:

	Archive-name: name
	Submitted-by: joe@blow.UUCP

The "name" on the first line should be a short one-word string that
can serve as a "tag" for the package.  If your program has a somewhat
unique name, you can just use the name of the program as the archive
name.  If you are posting a patch to a previously posted bit of source
code, you would do something like "name/patchN", where N is the number
of the patch.  If you post source code in multiple parts, do
"name/part1", "name/part2", etc.  The second line should contain a
return mail address for you.

  This informational header (note that it is an auxiliary header, in
the body of the posting, NOT part of the main message header) is used
by some automatic archiving software to maintain alt.sources archives
automatically.  There are other useful fields you may want to put in
the auxiliary header; if you are curious, see the documentation for
the "rkive" program in the comp.sources.misc archives to find out what
they are.

  4) Make sure to mention, near the top of your posting (or near the
top of your first posting, if you are posting a multi-posting
package), exactly what the package is.  If there is a README file,
either include that at the top or (if you are using shar) make it the
first thing in the first shar file.  People should not have to search
through the entire package just to figure out what it is.


		    Where is alt.sources archived?

  See the article entitled "How to find sources (READ THIS BEFORE
POSTING)" in alt.sources.wanted and comp.sources.wanted to find out
how to search through the alt.sources archives and how to retrieve
source code from the various archive sites.

In general, alt.sources archives can be found in:

ftp://ftp.sterling.com:/usenet/alt.sources/        <-- recommended
ftp://wuarchive.wustl.edu:/usenet/alt.sources/articles/
ftp://src.doc.ic.ac.uk:/usenet/alt.sources/articles/
 
Please note that this is a non-exhaustive list. There are quantities
of mirrors of wuarchive which stock alt.sources archives, sometimes
under a similar path (/usenet/alt.sources/articles/). Please try
and select the server that's closest to you. 


                 Are the sources available elsewhere?

This question was answered by: 
Victor Volkman <vvolk@hcia.com>, CUG Acquisitions. Ed.: 
"The C Users Group wishes to further the distribution of alt.sources
types of material to a wider audience.  Since 1984, we have been 
distributing diskettes and CD-ROMs of C source code at very low costs 
($4 per diskette). Currently, CUG offers more than 400 such diskette 
volumes covering all major platforms including Atari, Amiga, Mac, 
PC (DOS and Windows), Sun, and most Unix machines.  Material contributed 
to the CUG may also be published in the C Users Journal monthly.  Please 
send mail to sysop@hal9k.com if you would like your alt.sources code to 
be considered for the CUG."
[I have no links to the CUG whatsoever - OCL]


		  Doesn't this introductory posting
		violate the guidelines outlined above?

  Yes.  This posting is not a source-code posting, and therefore
shouldn't really appear in alt.sources.  However, the problem of
non-source postings and source postings without auxiliary headers
appearing in this newsgroup is severe enough that I hope to reduce it
by posting this message.  Other source newsgroups have similar
introductory postings, posted by their moderators.

  No, I am not the "moderator" of alt.sources.  There is none.  There
are probably people who think the guidelines I've mentioned above are
wrong.  If you think there's something wrong with this posting, please
tell me about it, either by sending me E-mail or posting a followup in
alt.sources.d.

  Although there may be specific things in this posting that people
disagree with, I think that I am, in general, outlining the consensus
of the alt.sources community.  However, if a sufficient number of
people (let's say five or more) send me E-mail and tell me that they
think I'm completely off base and shouldn't be posting this message at
all, I'll put it to some sort of vote and see what the consensus is
that way.

  Comments about, suggestions about or corrections to this posting are
welcomed.  If you would like to ask me to change this posting in some
way, the method I appreciate most is for you to actually make the
desired modifications to a copy of the posting, and then to send me
the modified posting, or a context diff between my posted version and
your modified version (if you do the latter, make sure to include in
your mail the "Version:" line from my posted version).  Submitting
changes in this way makes dealing with them easier for me and helps to
avoid misunderstandings about what you are suggesting.


-- 
Olivier M.J. Crepin-Leblond, Digital Comms. Section, Elec. Eng. Department
 Imperial College of Science, Technology and Medicine, London SW7 2BT, UK
       Internet/Bitnet: <foobar@ic.ac.uk> - Janet: <foobar@uk.ac.ic>

